Subject: Re: [dhcwg] dhcp-auth

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 25 Jul 2008 08:39:42 -0700 (PDT)

Hi Ric,
  Are you familiar with this draft:
http://ietfreport.isoc.org/all-ids/draft-sarikaya-dhc-proxyagent-00.txt?
Way back in 2006 we tried to introduce DHCP Proxy in DHC WG and my coauthor Kuntal presented the draft in IETF-67 http://www.ietf.org/proceedings/06nov/slides/dhc-12/sld1.htm
The feedback we got from DHC WG is that there is no DHCP Proxy. 
  I am surprised by your statements saying that there is in fact DHCP Proxy.
  In a similar case, way back in in September 2006 we wrote a draft http://ietfreport.isoc.org/all-ids/draft-sarikaya-16ng-prefix-delegation-00.txt which had DHCP Client and DHCP Relay colocated. In IETF-71 we had a long discussion on this in DHC WG. Whether or not DHCP Client and DHCP Relay can be colocated is still not clear.
  It seems that the time is ripe in DHC WG to clarify these architectural issues.

Kind regards,

Behcet

----- Original Message ----
From: Richard Pruss <[email-masked]>
To: Alper Yegin <[email-masked]>
Cc: [email-masked]; [email-masked]
Sent: Thursday, July 24, 2008 6:05:55 PM
Subject: Re: [dhcwg] [Int-area] dhcp-auth

Ahh Alper email from you again.  I am certainly not going to spend  
time sluggin away joylessly with you. I think we
can take it as read that you will always hate it.

For the other folk I had a brief summary of the changes almost  
finished for dhcwg list which I have now send.

On 25/07/2008, at 7:41 AM, Alper Yegin wrote:

>
> Now that I see this proposal is back on stage (for the 5th time  
> now), let's
> see if we can get answers to some fundamental issues.
>
> Last time I had sent a long list of issues, and there was no response.
>
> http://www.ietf.org/mail-archive/web/int-area/current/msg01255.html
>
>
> Let's start just looking at the issues about Figure 3...
>
> - What is the DHCP-wise functionality of the NAS? Text claims it is  
> a "DHCP
> relay" but I see it terminating some of the DHCP messages and also
> generating some other messages. This is not compliant with DHCP.
>

As we explained to you many times most vendors BRAS's act as a DHCP  
proxy and terminate all messages and look like a server to the client.

> - How does the NAS handle EAP retransmissions? It needs to send  
> unsolicited
> DHCP messages to the DHCP client. This is not compliant with DHCP.
>
Actually that issue is open and we can discuss what a compliant  
implementation would mean in terms of retransmission timers so that  
right thing always happens at the right layer.

> - I see NAS inserting additional DHCP option (EAP Success) on  
> DHCPOFFER as
> it forwards that message from DHCP server to DHCP client. This again  
> breaks
> DHCP.
>
As we explained to you many times most vendors BRAS's act as a DHCP  
proxy and terminate all messages and look like a server to the client.

Lets take this to the dhcwg list as that is where the review happens  
next week.

- Ric

>
> Alper
>
>
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg